Package fr.gouv.vitam.functional.administration.core.format.model

# Class FileFormatModel

java.lang.Object
fr.gouv.vitam.functional.administration.core.format.model.FileFormatModel

public class FileFormatModel extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileFormatModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getCreatedDate()`
  `List<String>`
  `getExtension()`
  `String`
  `getGroup()`
  `List<String>`
  `getHasPriorityOverFileFormatID()`
  `String`
  `getMimeType()`
  `String`
  `getName()`
  `String`
  `getPuid()`
  `String`
  `getUpdateDate()`
  `String`
  `getVersion()`
  `String`
  `getVersionPronom()`
  `boolean`
  `isAlert()`
  `FileFormatModel`
  `setAlert(boolean alert)`
  `FileFormatModel`
  `setComment(String comment)`
  `FileFormatModel`
  `setCreatedDate(String createdDate)`
  `FileFormatModel`
  `setExtension(List<String> extension)`
  `FileFormatModel`
  `setGroup(String group)`
  `FileFormatModel`
  `setHasPriorityOverFileFormatID(List<String> hasPriorityOverFileFormatID)`
  `FileFormatModel`
  `setMimeType(String mimeType)`
  `FileFormatModel`
  `setName(String name)`
  `FileFormatModel`
  `setPuid(String puid)`
  `FileFormatModel`
  `setUpdateDate(String updateDate)`
  `FileFormatModel`
  `setVersion(String version)`
  `FileFormatModel`
  `setVersionPronom(String versionPronom)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileFormatModel

    public FileFormatModel()

- ## Method Details

  - ### getPuid

    public String getPuid()

  - ### setPuid

    public FileFormatModel setPuid(String puid)

  - ### getCreatedDate

    public String getCreatedDate()

  - ### setCreatedDate

    public FileFormatModel setCreatedDate(String createdDate)

  - ### getVersionPronom

    public String getVersionPronom()

  - ### setVersionPronom

    public FileFormatModel setVersionPronom(String versionPronom)

  - ### getUpdateDate

    public String getUpdateDate()

  - ### setUpdateDate

    public FileFormatModel setUpdateDate(String updateDate)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public FileFormatModel setVersion(String version)

  - ### getMimeType

    public String getMimeType()

  - ### setMimeType

    public FileFormatModel setMimeType(String mimeType)

  - ### getName

    public String getName()

  - ### setName

    public FileFormatModel setName(String name)

  - ### getExtension

    public List<String> getExtension()

  - ### setExtension

    public FileFormatModel setExtension(List<String> extension)

  - ### getHasPriorityOverFileFormatID

    public List<String> getHasPriorityOverFileFormatID()

  - ### setHasPriorityOverFileFormatID

    public FileFormatModel setHasPriorityOverFileFormatID(List<String> hasPriorityOverFileFormatID)

  - ### getGroup

    public String getGroup()

  - ### setGroup

    public FileFormatModel setGroup(String group)

  - ### isAlert

    public boolean isAlert()

  - ### setAlert

    public FileFormatModel setAlert(boolean alert)

  - ### getComment

    public String getComment()

  - ### setComment

    public FileFormatModel setComment(String comment)